<?php

/**
 * Helper class for Flexheader3 module
 * 
 * @package  Joomla
 * @subpackage Modules
 * @link http://www.andrehotzler-de
 * @license        GNU/GPL, see license_gpl.txt
 * mod_flexheader is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

class modFlexheader3Helper
	{function Flexheader3(
	$fl_cversion,
	$fl_folder_location,
	$fl_folder_name,
	$fl_default_image,
	$fl_file_type,
	$fl_height,
	$fl_debug_opac,
	$fl_width,
	$fl_debug_position,
	$fl_debug,
	$fl_dev_debug,
	$fl_display_type,
	$fl_div_content,
	$fl_template,
	$fl_itemid,
	$fl_id,
	$fl_webdirname,
	$fl_jroot,
	$fl_fs_image_location,
	$fl_rl_folder_location,
	$fl_web_image_location,
	$fl_debug_color,
	$fl_web_image_content_name,
	$fl_catid,
	$fl_web_image_contentmenu_name,
	$fl_view, $fl_layout,
	$fl_fs_image_content_name,
	$fl_fs_image_content_name,
	$fl_fs_image_contentmenu_name,
	$fl_web_output_image,
	$fl_web_image_default_name,
	$fl_fs_image_default_name,
	$fl_css_class,
	$fl_jflang,
	$fl_jflangc,
	$fl_alt_text,
	$fl_jfsupport,
	$fl_dimensionstype,
	$lf_linksupport,
	$fl_linktarget,
	$fl_vmartsupport,
	$fl_vproductid,
	$fl_vcategoryid,
	$fl_parentid,
	$fl_web_image_parent_name,
	$fl_fs_image_parent_name,
	$sectionid,
	$categoryid,
	$fl_fs_image_category_name,
	$fl_web_image_category_name,
	$fl_fs_image_section_name,
	$fl_web_image_section_name,
	$fl_fs_image_option_name,
	$fl_web_image_option_name, 
	$fl_option,
	$fl_debug_height,
	$fl_image_default_name,
	$fl_image_content_name,
	$fl_image_parent_name,
	$fl_image_contentmenu_name,
	$fl_image_category_name,
	$fl_image_section_name,
	$fl_image_option_name,
	$fl_output_image,
	$fl_cssfilesupport,
	$fl_fs_css_default_name,
	$fl_web_css_default_name,
	$fl_fs_css_content_name,
	$fl_web_css_content_name,
	$fl_fs_css_parent_name,
	$fl_web_css_parent_name,
	$fl_fs_css_contentmenu_name,
	$fl_web_css_contentmenu_name,
	$fl_fs_css_category_name,
	$fl_web_css_category_name,
	$fl_fs_css_section_name,
	$fl_web_css_section_name,
	$fl_fs_css_option_name,
	$fl_web_css_option_name,
	$fl_web_output_css,
	$fl_output_css,
	$fl_pagetitle,	
	$flalttexttype,
	$fluserguest,
	$fl_hidedebugguest
		)
    {
				//Debug
				if (($fl_debug OR $fl_dev_debug) AND (!$fluserguest OR !$fl_hidedebugguest)) {
						echo '<div style="border: 0;
															z-index: 999;
															font-size: 12px !important;
															line-height: 12px !important;
															margin: 0px;
															height: '.$fl_debug_height.';
															clear: both;
															overflow: scroll;
															padding: 5px;
															width:95%;
															display: block;
															filter:alpha(opacity='.$fl_debug_opac.');
															-moz-opacity:.'.$fl_debug_opac.';
															opacity:.'.$fl_debug_opac.';
															position: fixed; '.$fl_debug_position.':0;
															left:0; background-color:'.$fl_debug_color.';
															color: white"><img alt="Flexheader3" src="'.$fl_webdirname.'modules/mod_flexheader3/flexheader3.png" style="float: right;" />';
															
						echo '<strong>'.JText::_("FLDEBUGINTRO").'</strong><br /><br />';
						echo JText::_("FLPACEIMAGESHERE").'<strong> '.$fl_web_image_location.'</strong> , '.JText::_("FLPACEIMAGESHEREFULLPATH").'<strong> '.$fl_fs_image_location.'</strong><br /><br />';
						echo JText::_("FLIMAGENAME").'<strong> '.$fl_image_contentmenu_name.'</strong><br />';
						echo  JText::_("FLIMAGEMNAME").'<strong> '.$fl_image_content_name.'</strong><br />';
						echo  JText::_("FLIMAGEPARENTNAME").'<strong> '.$fl_image_parent_name.'</strong><br />';
						echo  JText::_("FLIMAGECATEGORYNAME").'<strong> '.$fl_image_category_name.'</strong><br />';
						echo  JText::_("FLIMAGESECTIONNAME").'<strong> '.$fl_image_section_name.'</strong><br />';
						echo  JText::_("FLIMAGEOPTIONNAME").'<strong> '.$fl_image_option_name.'</strong><br />';
						echo '<br />';
						echo JText::_("FLUSEDIMAGE").'<strong> ';if ($fl_output_image) {echo $fl_output_image.$fl_file_type; } else {echo JText::_("FLNOIMAGEFOUND").'<br />'.$fl_image_default_name;}; echo '</strong><br />';
						if ($fl_cssfilesupport == "1") {
							echo JText::_("FLUSEDCSS").'<strong> ';if ($fl_web_output_css) {echo $fl_output_css.'.css'; } else {echo JText::_("FLNOCSSFOUND").'<br />'.$fl_image_default_name;}; echo '</strong><br />';	
							};
							if ($fl_dev_debug) {
									echo '<br /><strong>Developer Debug Information</strong><br /><br />';
									echo '<div style="float: left; width: 32%">';
										echo '<strong>Main information</strong><br /><br />';
										echo 'Flexheader3 Version: '.$fl_cversion.'<br />';
										echo 'Template: '.$fl_template.'<br />';		
										echo '<br /><strong>Settings</strong><br /><br />';								
										echo 'Flexheader3 CSS Class: '.$fl_css_class.'<br />';									
										echo 'Folder Location: '.$fl_folder_location.'<br />';
										echo 'Real Folder Location: '.$fl_rl_folder_location.'<br />';
										echo 'Folder Name: '.$fl_folder_name.'<br />';
										echo 'Default Image: '.$fl_default_image.'<br />';
										echo 'File Type: '.$fl_file_type.'<br />';
										echo 'Height: '.$fl_height.'<br />';
										echo 'Width: '.$fl_width.'<br />';
										echo 'Indication of Dimensions: '.$fl_dimensionstype.'<br />';								
										echo 'Display_Mode: '.$fl_display_type.'<br />';
										echo 'DIV Content: '.$fl_div_content.'<br />';
										echo 'ALT TEXT TYPE: '.$flalttexttype.'<br />';
										echo 'ALT Text: '.$fl_alt_text.'<br />';
										echo '<br /><strong>Options</strong><br /><br />';		
										echo 'Joomfish Support in FL enabled: '.$fl_jfsupport.'<br />';					
										echo 'Joomfish Language: '.$fl_jflang.'<br />';	
										echo 'LinkSupport: '.$lf_linksupport.'<br />';
										echo 'LinkTarget: '.$fl_linktarget.'<br />';
										echo 'Load CSS File: '.$fl_cssfilesupport.'<br />';
									echo '</div>';
									echo '<div style="float: left; width: 32%;">';
										echo '<strong>IDs</strong><br /><br />';
										echo 'Option: '.$fl_option.'<br />';
										echo 'ID: '.$fl_id.'<br />';
										echo 'ItemID: '.$fl_itemid.'<br />';
										echo 'Section: '.$sectionid.'<br />';
										echo 'Category: '.$categoryid.'<br />';
										echo 'ParentID: '.$fl_parentid.'<br />';
										echo 'View: '.$fl_view.'<br />';
										echo 'Layout: '.$fl_layout.'<br />';					
										echo 'VirtueMart Support: '.$fl_vmartsupport.'<br />';
										echo 'VirtueMart Product ID: '.$fl_vproductid.'<br />';
										echo 'VirtueMart Category ID: '.$fl_vcategoryid.'<br />';   
										echo '<br /><strong>Debugging</strong><br /><br />';
										echo 'Debug_opac: '.$fl_debug_opac.'%<br />';        
										echo 'Developer_Debug: '.$fl_dev_debug.'<br />';     
										echo 'Developer_Height: '.$fl_debug_height.'%<br />';			
										echo 'Debug_postion: '.$fl_debug_position.'<br />';
										echo 'Debug: '.$fl_debug.'<br />';
										echo 'User is Guest: '.$fluserguest.'<br />';
										echo 'Hide help fur guests: '.$fl_hidedebugguest.'<br />';
										echo 'Debug_BG_Color: '.$fl_debug_color.'<br />';											
									echo '</div>';                                  
									echo '<div style="float: right; width: 32%">'; 
										echo '<strong>Paths</strong><br /><br />';		
										echo 'Web Image Location: '.$fl_web_image_location.'<br />';		
										echo 'Web Content Name : '.$fl_web_image_content_name.'<br />';
										echo 'Web ContentMenu Name : '.$fl_web_image_contentmenu_name.'<br />';
										echo 'Web ParentMenu Name : '.$fl_web_image_parent_name.'<br />';
										echo 'Web Category Name : '.$fl_web_image_category_name.'<br />';
										echo 'Web Section Name : '.$fl_web_image_section_name.'<br />';	
										echo 'Web Component Name : '.$fl_web_image_option_name.'<br />';	
										echo 'Default Web Image: '.$fl_web_image_default_name.'<br />';													
										echo 'WebDirName: '.$fl_webdirname.'<br />';
										echo 'Joomla Root on Server: '.$fl_jroot.'<br />';
										echo 'Filesystem Image Location: '.$fl_fs_image_location.'<br />';		
										echo 'Default FS Image: '.$fl_fs_image_default_name.'<br />';
										echo 'Default Web Image: '.$fl_web_image_default_name.'<br />';			
										echo 'Web CSS Content Name : '.$fl_web_css_content_name.'<br />';
										echo 'Web CSS ContentMenu Name : '.$fl_web_css_contentmenu_name.'<br />';
										echo 'Web CSS ParentMenu Name : '.$fl_web_css_parent_name.'<br />';
										echo 'Web CSS Category Name : '.$fl_web_css_category_name.'<br />';
										echo 'Web CSS Section Name : '.$fl_web_css_section_name.'<br />';	
										echo 'Web CSS Component Name : '.$fl_web_css_option_name.'<br />';	
										echo 'Default Web CSS: '.$fl_web_css_default_name.'<br />';													
										echo 'Default FS CSS: '.$fl_fs_css_default_name.'<br />';
										echo 'Default Web CSS: '.$fl_web_css_default_name.'<br />';											
										echo '</div>';				
								}
						echo '</div>';
						}
						
				//CSS
				if ($fl_output_css)  {
					$document       =& JFactory::getDocument();
					$attribs = array('type' => 'text/css', 'media' => 'screen');
					$document->addHeadLink(JRoute::_($fl_web_output_css), 'stylesheet', 'rel', $attribs);
					};
						
				//Web/HTML Output
				echo "<!-- Flexheader3 Output starts here -->";
				echo "<!-- copyright Andre Hotzler, released under the GPL -->";				
				echo "<!-- visit http://www.andrehotzler.de for more information -->";
				if ($fl_web_output_image) {
					if ($lf_linksupport) {
						echo '<a href="'.$fl_linktarget.'" style="border: 0;">';
						};
				
					if ($fl_display_type == "div") {
						//DIV
						echo '<div ';
						if ($fl_css_class) echo 'class="'.$fl_css_class.'"';
						echo ' style="border: 0; width:'.$fl_width.$fl_dimensionstype.'; height:'.$fl_height.$fl_dimensionstype.';';
						echo ' background-image:url('.$fl_web_output_image.');';
						echo '">';
						echo $fl_div_content;
						echo '</div>';
						}
					elseif ($fl_display_type == "img") {
						echo '<img ';
						if ($fl_css_class) echo 'class="'.$fl_css_class.'"';
						echo ' style="border: 0; width:'.$fl_width.$fl_dimensionstype.'; height:'.$fl_height.$fl_dimensionstype.';';
						echo '" alt="'.$fl_alt_text.'" title="'.$fl_alt_text.'" src="'.$fl_web_output_image.'" />';	
						}
					elseif ($fl_display_type == "swf") {
						echo '<object ';
						if ($fl_css_class) echo 'class="'.$fl_css_class.'"';
						echo 'classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="'.$fl_width.'" height="'.$fl_height.'">';
						echo '<param name="movie" value="'.$fl_web_output_image.'" />';
						echo '<param name="quality" value="high" />';
						echo '<param name="wmode" value="transparent">';
						echo '<embed src="'.$fl_web_output_image.'" quality="high" wmode="transparent" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="'.$fl_width.'" height="'.$fl_height.'"></embed>';
						echo '</object>';
						}
					if ($lf_linksupport) {
						echo '</a>';
						};						
						
				} else {
					//DIV
					echo '<div class="Flexheader3';
					if ($fl_css_class) echo '-'.$fl_css_class;
					echo '" style="background-color: red; color: white; width:'.$fl_width.$fl_dimensionstype.'; height:'.$fl_height.$fl_dimensionstype.';';
					echo '">';
					echo JText::_("FLNODEFAULTIMAGEFOUND").'<br />'.$fl_fs_image_default_name;
					echo '</div>';
				};
				echo "<!-- Flexheader3 end -->";
		}
	}
?>